Loading...
Searching...
No Matches
multi_range.h File Reference
`#include "platform.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "functional.h"`
`#include "nullptr.h"`

Go to the source code of this file.

## Classes

class | etl::multi_range_exception
| Exception for the multi_range. More...
class | etl::multi_range_circular_reference
| Circular reference exception. More...
class | etl::imulti_range
| The base class for multi_range. More...
class | etl::multi_range< T >
struct | etl::multi_range< T >::step_type
struct | etl::multi_range< T >::forward_step
struct | etl::multi_range< T >::forward_step_by
struct | etl::multi_range< T >::reverse_step
struct | etl::multi_range< T >::reverse_step_by
struct | etl::multi_range< T >::compare_type
struct | etl::multi_range< T >::not_equal_compare
struct | etl::multi_range< T >::less_than_compare
struct | etl::multi_range< T >::greater_than_compare

## Namespaces

namespace | etl